Schema "fpml-transparency-processes-5-5.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/transparency

Version:

  $Revision: 7629 $

Defined Components:

  4 global elements, 3 local elements, 2 complexTypes

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Users\mkoli\FpML Specifications\trunk\xml\transparency\fpml-transparency-processes-5-5.xsd; see XML source

Includes Schema:

  fpml-business-events-5-5.xsd [src]

Included in Schema:

  fpml-main-5-5.xsd [src]

All Element Summary
eventIdentifier (in publicExecutionReportRetracted) | Individual parties should only use a single event identifier to identify a retraction.
Type: | BusinessEventIdentifier
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin PublicExecutionReportRetracted complexType; see XML source
primaryAssetClass (in publicExecutionReportRetracted) |
Type: | AssetClass
Content: | simple, 1 attribute
Defined: | locally witnin PublicExecutionReportRetracted complexType; see XML source
publicExecutionReport |
Type: | PublicExecutionReport
Content: | complex, 3 attributes, 17 elements
Defined: | globally; see XML source
Used: | never
publicExecutionReportAcknowledgement |
Type: | Acknowledgement
Content: | complex, 3 attributes, 8 elements
Defined: | globally; see XML source
Used: | never
publicExecutionReportException |
Type: | Exception
Content: | complex, 3 attributes, 6 elements
Defined: | globally; see XML source
Used: | never
publicExecutionReportRetracted |
Type: | PublicExecutionReportRetracted
Content: | complex, 3 attributes, 18 elements
Defined: | globally; see XML source
Used: | never
tradeIdentifier (in publicExecutionReportRetracted) |
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin PublicExecutionReportRetracted complexType; see XML source

Complex Type Summary
PublicExecutionReport |
Content: | complex, 3 attributes, 17 elements
Defined: | globally; see XML source
Used: | at 1 location
PublicExecutionReportRetracted |
Content: | complex, 3 attributes, 18 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2013 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="trnsp" ecore:package="org.fpml.transparency" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/transparency" version="$Revision: 7629 $" xmlns="http://www.fpml.org/FpML-5/transparency" xmlns:dsig="http://www.w3.org/2000/09/xmldsig#" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-business-events-5-5.xsd"/> <xsd:complexType name="PublicExecutionReport"> <xsd:complexContent> <xsd:extension base="CorrectableRequestMessage"> <xsd:sequence> <xsd:group ref="Events.model"/> <xsd:group minOccurs="0" ref="EventValuation.model"/> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PublicExecutionReportRetracted"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:group minOccurs="0" ref="Events.model"/> <xsd:sequence> <xsd:element minOccurs="0" name="primaryAssetClass" type="AssetClass"/> <xsd:element minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element maxOccurs="2" minOccurs="0" name="eventIdentifier" type="BusinessEventIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> Individual parties should only use a single event identifier to identify a retraction. Platforms providing services on behalf of both parties in a transaction may provide event identifiers for both parties; in this case it is up to the recipient (the trade repository) to validate that the event IDs refer to the same event. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:element name="publicExecutionReport" type="PublicExecutionReport"/> <xsd:element name="publicExecutionReportAcknowledgement" type="Acknowledgement"/> <xsd:element name="publicExecutionReportException" type="Exception"/> <xsd:element name="publicExecutionReportRetracted" type="PublicExecutionReportRetracted"/> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.